Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.util
Class LayoutStrut

    java.lang.Object
      echopointng.ui.util.LayoutStrut

    public class LayoutStrut

extends java.lang.Object

`LayoutStrut` can be used to generate transparent spacing between Elements.

Field Summary
`static Service` | `PIXEL_SERVICE` A transparent 1x1 GIF as a service

Constructor Summary
`LayoutStrut()`

Method Summary
`static org.w3c.dom.Element` | `createStrut(RenderContext rc, Extent width, Extent height)` Creates a strut spacing with the specified width and height.
`static org.w3c.dom.Element` | `createStrut(RenderContext rc, int width, int height)` Creates a strut spacing with the specified width and height.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PIXEL_SERVICE

    public static final Service PIXEL_SERVICE

  A transparent 1x1 GIF as a service

Constructor Detail

### LayoutStrut

    public LayoutStrut()

Method Detail

### createStrut

    public static org.w3c.dom.Element createStrut(RenderContext rc,
                                                  int width,
                                                  int height)

  Creates a strut spacing with the specified width and height.

  Parameters:
    `rc` - - the RenderContext in question
    `width` - - the spacing width in pixels
    `height` - - the spacing height in pixels
  Returns:
    an transparent IMG element sized according

### createStrut

    public static org.w3c.dom.Element createStrut(RenderContext rc,
                                                  Extent width,
                                                  Extent height)

  Creates a strut spacing with the specified width and height.

  Parameters:
    `rc` - - the RenderContext in question
    `width` - - the spacing width
    `height` - - the spacing height
  Returns:
    an transparent IMG element sized according

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD